--- tools/omx_init.in.orig	2009-07-27 12:05:48.000000000 +0900
+++ tools/omx_init.in	2009-07-27 12:07:14.000000000 +0900
@@ -41,7 +41,7 @@
 OMX_PID_FILE=/var/run/open-mx.peer-discovery.pid
 OMX_CONFIG=/etc/open-mx/open-mx.conf
 LINUX_RELEASE=$(uname -r)
-OMX_MODULE="${OMX_PREFIX}/modules/${LINUX_RELEASE}/open-mx.ko"
+OMX_MODULE="/lib/modules/${LINUX_RELEASE}/kernel/net/open-mx/open-mx.ko"
 
 set -e
 
--- driver/linux/Makefile.in.orig	2009-07-27 12:19:21.000000000 +0900
+++ driver/linux/Makefile.in	2009-07-27 12:20:20.000000000 +0900
@@ -20,7 +20,7 @@
 LINUX_HDR	=	@LINUX_HDR@
 LINUX_RELEASE	=	@LINUX_RELEASE@
 OPEN_MX_DIR	=	@abs_builddir@
-INSTALL_MOD_PATH	=	$(prefix)/modules/$(LINUX_RELEASE)
+INSTALL_MOD_PATH	= /lib/modules/$(LINUX_RELEASE)/kernel/net/open-mx
 MODULE_OBJS	=	open-mx.ko
 
 .PHONY: all $(HDRCHECKFILE) installonly install clean distclean wc
--- tools/Makefile.in.orig	2009-11-30 19:49:02.000000000 +0900
+++ tools/Makefile.in	2009-12-24 01:37:12.000000000 +0900
@@ -2,6 +2,7 @@
 sbindir = @sbindir@
 exec_prefix = @exec_prefix@
 prefix = @prefix@
+sysconfdir = @sysconfdir@
 
 include @abs_top_srcdir@/common.mk
 REL_DIR	=	tools/
@@ -78,14 +79,14 @@
 	$(CMDECHO) "  INSTALL $(patsubst %,$(DESTDIR)$(bindir)/%,$(TOOLS) $(SCRIPTS))"
 	$(CMDPREFIX) $(INSTALL) -m 0755 $(TOOLS) $(SCRIPTS) $(DESTDIR)$(bindir)/
 
-	$(CMDECHO) "  MKDIR   $(DESTDIR)$(sbindir)"
-	$(CMDPREFIX) if test ! -d $(DESTDIR)$(sbindir); then \
-		$(MKDIR_P) $(DESTDIR)$(sbindir) ; \
+	$(CMDECHO) "  MKDIR   $(DESTDIR)$(sysconfdir)/init.d"
+	$(CMDPREFIX) if test ! -d $(DESTDIR)$(sysconfdir)/init.d; then \
+		$(MKDIR_P) $(DESTDIR)$(sysconfdir)/init.d ; \
 	fi
 
-	$(CMDECHO) "  INSTALL $(DESTDIR)$(sbindir)/omx_init"
-	$(CMDPREFIX) $(INSTALL) -m 0755 @srcdir@/omx_init.in $(DESTDIR)$(sbindir)/omx_init
-	$(CMDPREFIX) $(SED) -i $(DESTDIR)$(sbindir)/omx_init \
+	$(CMDECHO) "  INSTALL $(DESTDIR)$(sysconfdir)/init.d/open-mx"
+	$(CMDPREFIX) $(INSTALL) -m 0755 @srcdir@/omx_init.in $(DESTDIR)$(sysconfdir)/init.d/open-mx
+	$(CMDPREFIX) $(SED) -i $(DESTDIR)$(sysconfdir)/init.d/open-mx \
 		-e 's@omx_install_prefix@$(prefix)' \
 		-e 's@omx_main_device_name@@OMX_MAIN_DEVICE_NAME@' \
 		-e 's@omx_main_device_group@@OMX_MAIN_DEVICE_GROUP@' \
@@ -102,23 +103,23 @@
 		-e 's@fms_run@@FMS_RUN@' \
 		-e 's@fms_server@@FMS_SERVER@' \
 
-	$(CMDECHO) "  INSTALL $(DESTDIR)$(sbindir)/$(UDEV_RULES_FILE)"
-	$(CMDPREFIX) $(RM) $(DESTDIR)$(sbindir)/$(UDEV_RULES_FILE)
+	$(CMDECHO) "  MKDIR   $(DESTDIR)$(UDEV_RULES_DIR)"
+	$(CMDPREFIX) if test ! -d $(DESTDIR)$(UDEV_RULES_DIR); then \
+		$(MKDIR_P) $(DESTDIR)$(UDEV_RULES_DIR) ; \
+	fi
+	$(CMDECHO) "  INSTALL $(DESTDIR)$(UDEV_RULES_DIR)/$(UDEV_RULES_FILE)"
+	$(CMDPREFIX) $(RM) $(DESTDIR)$(UDEV_RULES_DIR)/$(UDEV_RULES_FILE)
 	$(CMDPREFIX) echo "KERNEL==\"open-mx\", NAME=\"@OMX_MAIN_DEVICE_NAME@\", GROUP=\"@OMX_MAIN_DEVICE_GROUP@\", MODE=\"@OMX_MAIN_DEVICE_MODE@\", OPTIONS=\"last_rule\"" \
-		>> $(DESTDIR)$(sbindir)/$(UDEV_RULES_FILE)
+		>> $(DESTDIR)$(UDEV_RULES_DIR)/$(UDEV_RULES_FILE)
 	$(CMDPREFIX) echo "KERNEL==\"open-mx-raw\", NAME=\"@OMX_RAW_DEVICE_NAME@\", GROUP=\"@OMX_RAW_DEVICE_GROUP@\", MODE=\"@OMX_RAW_DEVICE_MODE@\", OPTIONS=\"last_rule\"" \
-		>> $(DESTDIR)$(sbindir)/$(UDEV_RULES_FILE)
+		>> $(DESTDIR)$(UDEV_RULES_DIR)/$(UDEV_RULES_FILE)
 
-	$(CMDECHO) "  INSTALL $(DESTDIR)$(sbindir)/omx_local_install"
-	$(CMDPREFIX) $(INSTALL) -m 0755 @srcdir@/omx_local_install.in $(DESTDIR)$(sbindir)/omx_local_install
-	$(CMDPREFIX) $(SED) -i $(DESTDIR)$(sbindir)/omx_local_install \
-		-e 's@omx_install_prefix@$(prefix)' \
-		-e 's@omx_udev@$(udev)' \
-		-e 's@omx_udev_rules_dir@$(UDEV_RULES_DIR)' \
-		-e 's@omx_udev_rules_file@$(UDEV_RULES_FILE)' \
-
-	$(CMDECHO) "  INSTALL $(DESTDIR)$(sbindir)/open-mx.conf"
-	$(CMDPREFIX) $(INSTALL) -m 0644 @srcdir@/open-mx.conf.in $(DESTDIR)$(sbindir)/open-mx.conf
+	$(CMDECHO) "  MKDIR   $(DESTDIR)$(sysconfdir)/open-mx"
+	$(CMDPREFIX) if test ! -d $(DESTDIR)$(sysconfidir)/open-mx; then \
+		$(MKDIR_P) $(DESTDIR)$(sysconfdir)/open-mx ; \
+	fi
+	$(CMDECHO) "  INSTALL $(DESTDIR)$(sysconfdir)/open-mx/open-mx.conf"
+	$(CMDPREFIX) $(INSTALL) -m 0644 @srcdir@/open-mx.conf.in $(DESTDIR)$(sysconfdir)/open-mx/open-mx.conf
 
 	$(CMDECHO) "  INSTALL $(DESTDIR)$(bindir)/omx_check.sh"
 	$(CMDPREFIX) $(INSTALL) -m 0755 @srcdir@/omx_check.sh.in $(DESTDIR)$(bindir)/omx_check.sh
